2018-02-25         Arnold D. Robbins     <arnold@skeeve.com>

	* 4.2.1: Release tar ball made.

2018-02-17  Eli Zaretskii  <eliz@gnu.org>

	* Makefile.tst (BASIC_TESTS): Add uplus.
	(mpfruplus, uplus): New tests.

2018-02-10  Eli Zaretskii  <eliz@gnu.org>

	* Makefile.tst (MPFR_TESTS): Update to match test/Makefile.in.

2018-02-03  Eli Zaretskii  <eliz@gnu.org>

	* Makefile.tst (BASIC_TESTS): Add numstr1.
	(numindex): New test.  Reported by Scott Deifik
	<scottd.mail@sbcglobal.net>.

2018-01-26  Eli Zaretskii  <eliz@gnu.org>

	* Makefile.tst (nlstringtest): Expected failure on MinGW when not
	built with gettext.

2018-01-22         Juan Manuel Guerrero  <juan.guerrero@gmx.de>

	* pc/Makefile.tst (nlstringtest): Update the expected failure
	messages for DJGPP.

2018-01-21         Arnold D. Robbins     <arnold@skeeve.com>

	* Makefile.tst (pty2): Sync against test/Makefile.in.
	Really for real this time.

2018-01-20         Arnold D. Robbins     <arnold@skeeve.com>

	* Makefile.tst: Sync against test/Makefile.in.
	For real this time.

2018-01-20  Eli Zaretskii  <eliz@gnu.org>

	* Makefile.tst (sigpipe1): Fix syntax for non-DJGPP ports.

2018-01-17         Arnold D. Robbins     <arnold@skeeve.com>

	* Makefile.tst: Sync against test/Makefile.in.

2018-01-10         Arnold D. Robbins     <arnold@skeeve.com>

	* Makefile.tst: Initial sync against test/Makefile.in.

2017-11-19  Juan Manuel Guerrero  <juan.guerrero@gmx.de>

	* pc/Makefile (default): Add lines for the djgpp-readline-mpfr
	and the djgpp-readline targets.
	(djgpp-readline): New target, passes -DHAVE_LIBREADLINE to the
	compiler and adds -lreadline to the linker command line.
	(djgpp-readline-mpfr): New target, passes -DHAVE_LIBREADLINE and
	-DHAVE_MPFR to the compiler and adds -lreadline -lmpfr -lgmp to
	the linker command line.

2017-11-13  Juan Manuel Guerrero  <juan.guerrero@gmx.de>

	* Makefile (default): Add a line for the djgpp-mpfr target.
	(djgpp-mpfr): New target, passes -DHAVE_MPFR to the
	compiler and adds -lmpfr -lgmp to the linker command line.

2017-11-11  Juan Manuel Guerrero  <juan.guerrero@gmx.de>

	* pc/Makefile.tst (sigpipe1): Exclude DJGPP from the sigpipe1 test.

2017-11-03  Juan Manuel Guerrero  <juan.guerrero@gmx.de>

	* Makefile (install1): Copy gawk.exe to awk.exe before copying
	*awk.exe.

2017-11-03  Scott Deifik  <scottd.mail@sbcglobal.net>

	* Makefile.tst (readdir): Make the message identical with
	test/Makefile.in.

2017-10-21  KO Myung-Hun <komh78@gmail.com>

	* gawkmisc.pc (os2_dlsym, os2_fixdllname, os2_dlopen) [__KLIBC__]:
	New functions.

2017-10-21  Eli Zaretskii  <eliz@gnu.org>

	* Makefile (install1): Create include/ at desctination, and copy
	there gawkapi.h.  Also copy *.png image files to share/info, as
	those are required for the Info readers.

2017-10-19         Arnold D. Robbins     <arnold@skeeve.com>

	* 4.2.0: Release tar ball made.

2017-10-01  Scott Deifik  <scottd.mail@sbcglobal.net>

	* Makefile.tst (readdir_test): Announce a possible MinGW failure.

2017-09-20  Eli Zaretskii  <eliz@gnu.org>

	* Makefile.tst (jarebug): Don't announce a MinGW failure.
	(mpfr-tests, shlib-tests): Fix the command to not fail due to a
	second "@".  Reported by Scott Deifik <scottd.mail@sbcglobal.net>.
	(clean-local): Remove readdir_test.ok, for the case that the test
	failed.

2017-09-18         Juan Manuel Guerrero  <juan.guerrero@gmx.de>

	* pc/Makefile.tst (mbprintf5, beginfile1, sigpipe1, backw, nonfatal1)
	(nonfatal2, nonfatal3, timeout): Update the expected failure messages
	for DJGPP.

2017-09-16  Eli Zaretskii  <eliz@gnu.org>

	* config.h (HAVE_GAI_STRERROR) [__MINGW32__]: Define to 1.  Update
	to Gawk 4.1.64.

	* config.sed (HAVE_GAI_STRERROR) [__MINGW32__]: Edit to 1 for MinGW.

	* Makefile.tst (nondec): Edit the error message to match teh
	expected results.

	* Makefile (awkgram.c): Edit "parse error" into "syntax error",
	like the mainline Makefile does.
	(clean): Remove awkgram.tmp.

2017-08-27         Juan Manuel Guerrero  <juan.guerrero@gmx.de>

	* pc/Makefile.tst (mbstr1, mbstr2, errno, getlndir, clos1way2)
	(clos1way3, clos1way4, clos1way5, clos1way6): Update the expected
	failure messages for DJGPP.

2017-08-26  Eli Zaretskii  <eliz@gnu.org>

	* Makefile.tst (SLASH, PATH_SEPARATOR, LS): Change the default
	values to be less specific to my private setup.

2017-08-23         Arnold D. Robbins     <arnold@skeeve.com>

	* Makefile.am (testext): Fix spelling of testexttmp.txt.

2017-08-21  Eli Zaretskii  <eliz@gnu.org>

	* Makefile.tst (testext): Remove textexttmp.txt.

2017-08-19  Eli Zaretskii  <eliz@gnu.org>

	* Makefile.tst (SLASH): New variable for use it readdir_test.
	(mbprintf5, profile4, profile5, profile8, getfile): Update the
	expected failure messages.
	(readdir_test): Use SLASH instead of a literal /, as the latter
	gets converted by MSYS Bash to the corresponding Windows directory.

	* Makefile.ext (MPFR, MPFR_LIBS): New variables, used in compiling
	intdiv.c.
	(ALL_EXTENSIONS): Add intdiv and readdir_test.
	(intdiv.$(SOEXT), readdir_test.$(SOEXT)): New recipes.

	* Makefile.tst: Synchronize with test/Makefile.in.

2017-08-18  Eli Zaretskii  <eliz@gnu.org>

	* config.h (HAVE_SYS_IOCTL_H):
	* config.sed (HAVE_SYS_IOCTL_H): Do not define for MinGW.

2017-08-16         Arnold D. Robbins     <arnold@skeeve.com>

	* config.h: Regenerated in preparation for release.

2017-08-01         Juan Manuel Guerrero  <juan.guerrero@gmx.de>

	Bring DJGPP support up to speed.

	* Makefile: Add LOCALEDIR, infodir, mandir. Revise prefix,
	SHLIBExT, CFLAGS.
	* config.sed: Update for DJGPP.
	* gawkmisc.pc: Update for DJGPP.
	(putwc): New funcction.

2017-01-21         Arnold D. Robbins     <arnold@skeeve.com>

	* gawkmisc.pc: Fix a typo.

2017-01-21  Eli Zaretskii  <eliz@gnu.org>

	* Makefile.tst: Modify the locale values to valid ones on Windows.

	* gawkmisc.pc: Undef setlocale and include locale.h.
	(lc_var, w32_setlocale): New functions.

	* Makefile (VAPTH): Set to allow Make to find sources in the
	'support' subdirectory.
	(CFLAGS): Add "-I./support", as some headers are there.
	(LIBOBJS): Add localeinfo$O.
	(regex$O): Depend on regex_internal.c.
	(localeinfo$O): New dependency.

	* config.sed (SIZEOF_UNSIGNED_INT, SIZEOF_UNSIGNED_LONG): Set to 4
	unconditioonally, as we no longer support 16-bit ports.  The
	previous definitions caused compilation errors, since config.h is
	included by random.h before awk.h, where limits.h is included and
	defines UINT_MAX etc.
	* config.h: Regenerated.

	* Makefile.tst: Sync with test/Makefile.in.

2016-11-04  Eli Zaretskii  <eliz@gnu.org>

	* gawkmisc.pc (w32_maybe_set_errno) [__MINGW32__]: New function,
	to correct errno when it is not set to a useful value.

2016-10-23         Arnold D. Robbins     <arnold@skeeve.com>

	* General: Remove trailing whitespace from all relevant files.

2016-09-24  Eli Zaretskii  <eliz@gnu.org>

	Fix compilation warnings on MinGW with the latest runtime.
	Reported by Marc de Bourget <marcdebourget@gmail.com>.

	* socket.h (_WIN32_WINNT): If it's already defined, redefine it
	only if the value is less than what we need.  This avoids compiler
	warnings about redefinitions.

	* config.h (HAVE_STRINGS_H): Define to 1.

	* config.sed: Define STRINGS_H as well, as MinGW runtime 3.22 and
	later needs that to get the prototypes of strcasecmp and
	strncasecmp.

2016-09-08         Scott Deifik  <scottd.mail@sbcglobal.net>

	* Makefile.tst: Sync with mainline.

2016-08-25         Arnold D. Robbins     <arnold@skeeve.com>

	* 4.1.4: Release tar ball made.

2016-08-08  Eli Zaretskii  <eliz@gnu.org>

	* Makefile.tst (BASIC_TESTS): Add ofmtstrnum and sortfor2.
	(rscompat, ofmtstrnum, sortfor2): New tests.

2016-07-01         Scott Deifik  <scottd.mail@sbcglobal.net>

	* Makefile.tst: Sync with mainline.

2016-06-14         Arnold D. Robbins     <arnold@skeeve.com>

	* Makefile.tst: Sync with mainline:
	(mixed1, symtab10, subback): New tests.
	(FAIL_CODE1): Updated.

2016-05-25  Eli Zaretskii  <eliz@gnu.org>

	* Makefile.tst (BASIC_TESTS): Add arrayind1 and sigpipe1.
	(anchgsub, sclifin): New tests.

2016-05-15         Scott Deifik  <scottd.mail@sbcglobal.net>

	* Makefile.tst: Sync with mainline.

2016-05-12  Eli Zaretskii  <eliz@gnu.org>

	* Makefile ($(ALLOBJS) $(LIBOBJS)): Depend on nonposix.h.

2016-04-23  Eli Zaretskii  <eliz@gnu.org>

	* Makefile.tst (pty1): Ignore errors (happens with MinGW).

2016-04-17         Scott Deifik  <scottd.mail@sbcglobal.net>

	* Makefile.tst: Sync with mainline.

2016-04-16  Eli Zaretskii  <eliz@gnu.org>

	* config.sed (HAVE_BTOWC): Now unconditionally defined to 1.
	(HAVE_SYS_WAIT_H): Define to 1 for DJGPP.

2016-04-08  Eli Zaretskii  <eliz@gnu.org>

	* Makefile.tst (BASIC_TESTS, GAWK_EXT_TESTS): Add new tests.
	(mbstr1): Expect to fail on MinGW.
	(mbstr2, profile8, muldimposix, watchpoint1, aryprm9, nulinsrc)
	(readbuf, clos1way2, clos1way3, clos1way4, clos1way5, fpat5): New
	tests.

2016-04-07  Eli Zaretskii  <eliz@gnu.org>

	* config.h: Don't define WEXITSTATUS, it is now defined in
	nonposix.h.

	* config.sed: Don't define WEXITSTATUS, it is now defined in
	nonposix.h.

	* gawkmisc.pc (w32_status_to_termsig) [__MINGW32__]: New function.

2016-03-16  Eli Zaretskii  <eliz@gnu.org>

	* gawkmisc.pc (usleep): Condition on MinGW runtime version older
	than 3.21, which defines 'usleep' as an inline function in
	unistd.h, and thus causes compilation errors due to conflicting
	definitions.  Reported by Ivan Suchý <suchy.ivan@gmail.com>.

	* Makefile (mingw32, mingw32-readline, mingw32-mpfr)
	(mingw32-readline-mpfr): Use -Wno-deprecated-declarations, to
	avoid warnings about 'usleep' in newer versions of mingw.org's
	MinGW runtime.

2016-01-28         Arnold D. Robbins     <arnold@skeeve.com>

	* config.h: Updated to current.

2015-05-29         Arnold D. Robbins     <arnold@skeeve.com>

	* Makefile.tst (negtime): Sync with mainline.

2015-05-29         Scott Deifik  <scottd.mail@sbcglobal.net>

	* Makefile.tst (dbugeval): Sync with mainline.

2015-05-19         Arnold D. Robbins     <arnold@skeeve.com>

	* 4.1.3: Release tar ball made.

2015-05-12         Arnold D. Robbins     <arnold@skeeve.com>

	* Makefile.tst: Sync with mainline.

2015-05-04         Scott Deifik  <scottd.mail@sbcglobal.net>

	* Makefile.tst: Sync with mainline.

2015-04-29         Arnold D. Robbins     <arnold@skeeve.com>

	* 4.1.2: Release tar ball made.

2015-04-22         Scott Deifik  <scottd.mail@sbcglobal.net>

	* Makefile.tst: Don't do 'make diffout' after pass-fail.
	* negtime: Add expect failure for DJGPP.

2015-04-17  Eli Zaretskii  <eliz@gnu.org>

	* testoutcmp.awk (END): Attempt a series of massages on the actual
	output to match it to the expected result, when the number of
	exponent digits is different.  Also, edit "nul" into "null", to
	account for the difference in the null device name.  This removes
	"failures" due to Windows-specific issues that do not indicate
	real problems in Gawk, just some non-portable assumptions about
	the expected results.

	* Makefile.tst (abs_top_builddir): Define.
	(negtime): Mark this test as an expected failure with MinGW.
	(profile5, exit, hsprint, posix, double2, fmttest): Remove the
	"expect to fail" message for MinGW, and use the testoutcmp.awk
	script to loosely compare actual output to expected one.

	* Makefile.ext ($(SIMPLE_EXTENSIONS)): Really use -static-libgcc.

2015-04-16         Arnold D. Robbins     <arnold@skeeve.com>

	* Makefile.tst: Sync with mainline.
	* config.h: Sync with mainline.

2015-04-08  Eli Zaretskii  <eliz@gnu.org>

	* Makefile.ext (fnmatch.$(SOEXT), readdir.$(SOEXT), rwarray.$(SOEXT))
	(filefuncs.$(SOEXT), time.$(SOEXT), $(SIMPLE_EXTENSIONS)): Use
	-static-libgcc, to avoid run-time dependency on libgcc DLL.  This
	makes the extensions independent of non-system DLLs, and also
	prevents an abort at exit due to a known upstream bug in
	libgcc_s_dw2-1.dll.

	* Makefile.tst (mpfrmemok1): Use -p- instead of -p/dev/stdout, for
	more portability.

2015-04-07         Arnold D. Robbins     <arnold@skeeve.com>

	* Makefile.tst: Sync with mainline.
	* config.h: Sync with mainline.

2014-11-21         Arnold D. Robbins     <arnold@skeeve.com>

	* Makefile.tst (id): Add an 'expect to fail for DJGPP' message.

2014-11-13         Scott Deifik  <scottd.mail@sbcglobal.net>

	* Makefile.tst: Sync with mainline.

2014-10-12         KO Myung-Hun          <komh78@gmail.com>

	Fixes for OS/2:

	* gawkmisc.pc (init_sockets): Add additional checks for __EMX__.

2014-09-23         Scott Deifik  <scottd.mail@sbcglobal.net>

	* Makefile.tst: Sync with mainline.

2014-04-17         Scott Deifik  <scottd.mail@sbcglobal.net>

	* Makefile.tst: Add readfile2 test.

2014-04-08         Arnold D. Robbins     <arnold@skeeve.com>

	* 4.1.1: Release tar ball made.

2014-02-03   Scott Deifik  <scottd.mail@sbcglobal.net>

	* Makefile.tst: Include original test/Makefile.in lines as
	comments.

2014-01-28  Eli Zaretskii  <eliz@gnu.org>

	* Makefile.tst (strftime): Pass the value of 'date' command
	through the DATECMD variable.
	(readdir): Adapt to changes in test/readdir0.awk.

2014-01-20         Arnold D. Robbins     <arnold@skeeve.com>

	* Makefile.tst (mbprintf4, backbigs1, backsmalls1): Add warning
	that the tests are expected to fail with DJGPP.

2014-01-24   Scott Deifik  <scottd.mail@sbcglobal.net>

	* Makefile.tst: Sync with mainline.

2014-01-20         Arnold D. Robbins     <arnold@skeeve.com>

	* Makefile.tst (split_after_fpat, mpfrnegzero): Added, to
	sync with main test Makefile.

2014-01-15  Eli Zaretskii  <eliz@gnu.org>

	* Makefile.tst (mbprintf4, profile5, backbigs1, backsmalls1):
	Announce expected failures.
	(fts): Fail gracefully, to avoid bailing out of the test suite too
	early.

	* popen.c (os_system): Use spawnl, and quote the command line, to
	be consistent with what gawk_popen does.
	(os_popen) [__MINGW32__]: Don't scriptify the command, to be
	consistent with gawk_popen.
	(os_pclose) [__MINGW32__]: Update to match os_open: no need to
	unlink the script file.

2013-12-10   Scott Deifik  <scottd.mail@sbcglobal.net>

	* gawkmisc.c (init_sockets): Move into the right part of the
	file so that it will be compiled for DJGPP also.
	* Makefile.tst: Sync with mainline.

2013-06-03         Arnold D. Robbins     <arnold@skeeve.com>

	* gawkmisc.c (init_sockets): Rearrange ifdefs.

2013-06-01  Eli Zaretskii  <eliz@gnu.org>

	* popen.h (SIGKILL) [__MINGW32__]: Define.
	(kill, quote_cmd): New prototypes.

	* popen.c: Include popen.h and errno.h.
	(popen, pclose, system): Undefine macros.
	(WIN32_LEAN_AND_MEAN) [__MINGW32__]: Define and include windows.h.
	(kill, quote_cmd) [!PIPES_SIMULATED]: New functions.
	(os_popen): Make the function definition match its prototype
	exactly.

	* gawkmisc.pc [HAVE_SOCKETS]: Include socket.h and windows.h.
	(socket, setsockopt, bind, connect, listen, accept, recvfrom)
	(shutdown): Undefine macros.
	(os_close_on_exec) [__MINGW32__]: Non-trivial implementation.
	(init_sockets, socket_to_fd, w32_socket, w32_setsockopt)
	(w32_bind, w32_connect, w32_listen, w32_accept, valid_socket)
	(w32_closesocket, w32_recvfrom, w32_shutdown) [HAVE_SOCKETS]: New
	functions for MinGW, emulate Posix sockets specified by file
	descriptors.

	* config.h (HAVE_GETADDRINFO, HAVE_SOCKADDR_STORAGE)
	(HAVE_SOCKETS) [__MINGW32__]: Define.

	* config.sed (HAVE_GETADDRINFO, HAVE_SOCKADDR_STORAGE)
	(HAVE_SOCKETS) [__MINGW32__]: Define.

	* Makefile.tst (fmtspcl): Announce expected failure only if not
	built with MPFR.
	(inetecht, inetdayt): For MinGW, warn about time-outs.
	(beginfile1, clos1way, getlndir): Announce expected failure only
	with DJGPP.
	(exit): Describe the failure on MinGW.
	(readdir): Explain why test might fail with bad ls.exe.

	* Makefile (mingw32, mingw32-readline, mingw32-mpfr)
	(mingw32-readline-mpfr): Add -lws2_32 to the link flags.
	(gawkmisc$O): Depend on socket.h.
	(io$O): Depend on socket.h and in.h.
	(popen$O): New dependency.

2013-05-27         Arnold D. Robbins     <arnold@skeeve.com>

	* config.h: Remove obsolete HAVE_ST_BLKSIZE.

2013-05-14  Eli Zaretskii  <eliz@gnu.org>

	* Makefile.tst (AWK): Set AWKLIBPATH so extensions could be found.
	(LS): New variable.
	(check): Add back shlib-tests and shlib-msg-end.
	(readdir): Add a warning regarding inode reporting by ls.exe.
	(fts, fork, fork2): Add message about expected failure on MinGW.

	* Makefile (install): Install the extensions.
	(install-strip): Likewise.

	* Makefile.ext: New file.

2013-05-09         Arnold D. Robbins     <arnold@skeeve.com>

	* 4.1.0: Release tar ball made.

2013-05-09   Scott Deifik  <scottd.mail@sbcglobal.net>

	* Makefile.tst: Sync with mainline.

2013-05-05  Eli Zaretskii  <eliz@gnu.org>

	* config.sed (HAVE_MPFR): Don't #undef; it will be defined by
	pc/Makefile as needed.

2013-05-04  Eli Zaretskii  <eliz@gnu.org>

	* config.h (HAVE_MPFR): Don't #undef; it will be defined by
	pc/Makefile as needed.

2013-05-02   Scott Deifik  <scottd.mail@sbcglobal.net>

	* Makefile.tst: Sync with mainline.

2013-04-29  Eli Zaretskii  <eliz@gnu.org>

	* Makefile.tst (mpfr-tests, shlib-tests, rsnulbig, rsnulbig2):
	Insert a space between ' and the following / to prevent MSYS Bash
	from interpreting that as a Unix-style file name.

2013-04-28  Eli Zaretskii  <eliz@gnu.org>

	* Makefile.tst (top_srcdir): Define.  This avoids failure in a few
	tests that use this variable.
	(testext): Prepend a space before the /regexp/ argument, to
	prevent MSYS Bash mistaking this for an absolute file name that
	needs to be converted to the Windows D:/foo/bar form, which fails
	the test.
	(check): Remove the shlib tests from 'check', so that they are not
	run by default, because the extensions are not yet built
	automatically.

2013-04-22   Scott Deifik  <scottd.mail@sbcglobal.net>

	* Makefile.tst: Sync with mainline.

2013-04-14   Scott Deifik  <scottd.mail@sbcglobal.net>

	* Makefile.tst: Sync with mainline.

2013-03-10         Arnold D. Robbins     <arnold@skeeve.com>

	* config.h: Update by manually running make-config.bat steps.

2013-03-10   Scott Deifik  <scottd.mail@sbcglobal.net>

	* Makefile: Sync with mainline.

2013-03-04   Scott Deifik  <scottd.mail@sbcglobal.net>

	* Makefile: Build additional C source files.

2013-03-04  Eli Zaretskii  <eliz@gnu.org>

	* config.sed: Fixes to build on DJGPP.

2013-02-09  Eli Zaretskii  <eliz@gnu.org>

	* gawkmisc.pc (dlopen, dlerror, dlclose, dlsym) [DYNAMIC]: New
	functions for _WIN32 build.

	* dlfcn.h: New file.

	* Makefile (pkgextensiondir, DEFLIBPATH, SHLIBEXT): New variables.
	(AWKOBJS4): New sub-list of object files; add gawkapi$O.
	(ALLOBJS): Include AWKOBJS4.
	(CFLAGS): Add -DDEFLIBPATH=$(DEFLIBPATH) -DSHLIBEXT=$(SHLIBEXT).

	* config.sed (DYNAMIC): Define for _WIN32 build.

2013-02-07   Scott Deifik  <scottd.mail@sbcglobal.net>

	* Makefile.tst: Sync with mainline.

2013-01-25         Arnold D. Robbins     <arnold@skeeve.com>

	* config.h: Version bumped.

2012-12-28  Eli Zaretskii  <eliz@gnu.org>

	* Makefile (install1): Don't require a Unixy shell and Sed.  Don't
	edit igawk.bat to point to the igawk script in $(prefix)/bin, as
	that directory should be on PATH when Gawk is installed.  Create
	$(prefix)/bin/awk.exe, to emulate a symlink created on Unix.
	Install documentation in $(prefix)/share.  Install gawkinet.info.
	(install-strip): New target.

	* install.awk: Install documentation in $prefix/share.

2012-12-24         Arnold D. Robbins     <arnold@skeeve.com>

	* 4.0.2: Release tar ball made.

2012-12-23         Arnold D. Robbins     <arnold@skeeve.com>

	* Makefile.tst (paramuninitglobal): New test.

2012-11-22         Eli Zaretskii  <eliz@gnu.org>

	* Makefile.tst (jarebug): Update.
	(GREP_OPTIONS): Add.

2012-11-12         Arnold D. Robbins     <arnold@skeeve.com>

	* gawkmisc.pc (os_isreadable): Use correct type for first parameter.

2012-11-04   Scott Deifik  <scottd.mail@sbcglobal.net>

	* Makefile.tst (jarebug, charasbytes): Update.

2012-10-28   Scott Deifik  <scottd.mail@sbcglobal.net>

	* Makefile.tst: Sync with mainline version.

2012-10-28         Andrew J. Schorr     <aschorr@telemetry-investments.com>

	* Makefile.pc (messages): Adjust to use standard failure test for
	make diffout.

2012-08-08         Arnold D. Robbins     <arnold@skeeve.com>

	* gawkmisc.pc (os_isreadable): Take IOBUF_PUBLIC instead of fd and
	use passed in info.

2012-07-29         Arnold D. Robbins     <arnold@skeeve.com>

	* gawkmisc.pc (os_isreadable): Add isdir pointer parameter to be
	set to true if fd is for a directory.

2012-07-26         Arnold D. Robbins     <arnold@skeeve.com>

	* gawkmisc.pc (os_isreadable): New function.

2012-05-14         Arnold D. Robbins     <arnold@skeeve.com>

	* Makefile: Remove second mingw32-readline target. Bad
	result from branch merging.

2012-05-06         Eli Zaretskii  <eliz@gnu.org>

	* config.sed: Update DJGPP -> __DJGPP__.

2012-04-16  Eli Zaretskii  <eliz@gnu.org>

	* Makefile.tst (PGAWK): Redefine as "../gawk.exe -p".
	(MPFR_TESTS): New variable, a list of MPFR-related tests.
	(mpfr-tests): A new target.
	(badargs): Reset GREP_OPTIONS to empty, to avoid gratuitous
	failures when the user has something like -nH there.
	(mpfrieee, mpfrexprange, mpfrrnd, mpfrnr, mpfrsort, mpfrbigint):
	New tests.

	* Makefile (default): Add descriptions of mingw32-mpfr and
	mingw32-libreadline-mpfr targets.
	(PRSPFILE, DRSPFILE, PRSP, DRSP, PLDRSP, DLDRSP, DO_PLNK)
	(DO_PBIND, DO_DLNK, DO_DBIND, PLDJG, DLDJG, PLMINGW32)
	(DLMINGW32, PAWKOBJS1, PAWKOBJS2, DAWKOBJS2, PGAWKOBJS)
	(DGAWKOBJS): Remove unused variables.
	(djgpp, djgpp-debug, mingw32): Don't use them.
	(mingw32): Add -D__USE_MINGW_ANSI_STDIO to compilation flags.
	(mingw32-readline, mingw32-mpfr, mingw32-readline-mpfr): New targets.
	(CFLAGS, AWKOBJS2): Don't reference obsolete DYN_FLAGS and DYN_OBJ
	variables.
	(AWKOBJS2): Add symbol$O.
	(AWKOBJS3): New variable, lists MPFR-related object files.
	(AWKOBJS): Add $(AWKOBJS3).
	(all): Remove pgawk.exe and dgawk.exe.
	(pgawk.exe, dgawk.exe, $(PRSPFILE) $(DRSPFILE), eval_p$O)
	(profile_p$O): Remove targets.
	(random$O, debug$O): Don't depend on floatmagic.h
	(eval$O): Depend on interpret.h.
	(clean): Prepend '-' to command line, to ignore errors due to
	non-existent files.

	* config.h: Comment out "#undef HAVE_LIBREADLINE" (again).

2012-03-29         Arnold D. Robbins     <arnold@skeeve.com>

	* config.h: Add definition for _Noreturn.

2012-03-20         Andrew J. Schorr     <aschorr@telemetry-investments.com>

	* gawkmisc.pc (deflibpath): New global variable.

2012-03-28         Arnold D. Robbins     <arnold@skeeve.com>

	* 4.0.1: Release tar ball made.

2012-03-20         Arnold D. Robbins     <arnold@skeeve.com>

	* Makefile.tst (printfbad3): New test.

2012-03-14         Eli Zaretskii  <eliz@gnu.org>

	* gawkmisc.pc (btowc): New version for DJGPP.

2012-03-01   Scott Deifik  <scottd.mail@sbcglobal.net>

	* Makefile.tst: Sync with mainline version.

2012-03-01         Eli Zaretskii  <eliz@gnu.org>

	* Makefile: Quiet confusing info messages from the linker when
	gawk is linked against readline as a shared library.

2012-02-22         Eli Zaretskii  <eliz@gnu.org>

	* Makefile.tst: Update CMP and CP definitions, add "Expect xxxx to
	fail with MinGW" messages as needed.

2012-02-15         Arnold D. Robbins     <arnold@skeeve.com>

	* gawkmisc.pc (execvp): Modify signature, return -1
	on error.

2012-02-11  Eli Zaretskii  <eliz@gnu.org>

	Fix dependencies in pc/Makefile.
	* Makefile ($(ALLOBJS) $(LIBOBJS) eval_p$O profile_p$O): Add eval_d$O,
	debug$O, and command$O.

	Support MinGW build with the readline library.
	* Makefile (default): Add a line for the mingw32-readline target.
	(mingw32-readline): New target, passes -DHAVE_LIBREADLINE to the
	compiler and adds -lreadline to the linker command line.

	* config.sed: Comment out "#undef HAVE_LIBREADLINE", so that it
	could be #define'd on the compiler command line.

2012-02-10         Arnold D. Robbins     <arnold@skeeve.com>

	* gawkmisc.pc (execvp): New function based on code from Eli
	Zaretskii to make dgawk's restarting the debugger work.

2012-01-27   Scott Deifik  <scottd.mail@sbcglobal.net>

	* Makefile.tst: Sync with mainline version.

2011-12-12   Scott Deifik  <scottd.mail@sbcglobal.net>

	* Makefile.tst: Sync with mainline version.

2011-12-06   Scott Deifik  <scottd.mail@sbcglobal.net>

	* Makefile.tst: Sync with mainline version.
	Use testoutcmp.awk script.

2011-12-06         Arnold D. Robbins     <arnold@skeeve.com>

	* testoutcmp.awk: Script to replace cmd for DJGPP.

2011-11-01   Scott Deifik  <scottd.mail@sbcglobal.net>

	* config.sed: Additional update.

2011-10-29  Eli Zaretskii  <eliz@gnu.org>

	* config.sed: Fix some edits, to be consistent with the old
	config.h file.  Make regexps match #undef lines with whitespace
	at the end of the line.  Add forgotten EMX #defines.

2011-10-27   Scott Deifik  <scottd.mail@sbcglobal.net>

	* Makefile.tst: Sync with mainline version.

2011-10-24   Eli Zaretskii  <eliz@gnu.org>

	* gawkmisc.pc (wctob) [__MINGW32__]: A replacement for the
	function of the same name in MS runtime, which does a better job
	with 8-bit characters that have their high bit set.
	Original supplied by Jim Meyering  <jim@meyering.net>.

	* popen.h (system) [__MINGW32__]: Redirect to os_system.

	* Makefile (./doc/awkcard.tr): Don't use Unixy forward slashes in
	redirection.
	(builtin$O): Depend on popen.h.
	(random$O): New target, separated from builtin$O.

	* configpk.sed:
	* config.sed:
	* make-config.bat: New files, to produce pc/config.h from the top-level
	configh.in file.

2011-10-18  Juan Manuel Guerrero  <juan.guerrero@gmx.de>

	* Makefile: doc target to create all documentation files.

2011-09-30  Eli Zaretskii  <eliz@gnu.org>

	* config.h: Update packaging related versions.

2011-06-23         Arnold D. Robbins     <arnold@skeeve.com>

	* ChangeLog.0: Rotated ChangeLog into this file.
	* ChangeLog: Created anew for gawk 4.0.0 and on.
	* 4.0.0: Release tar ball made.
